be.fgov.ehealth.etee.kgss._1_0.protocol

## Class GetKeyRequest

- java.lang.Object
- - be.fgov.ehealth.commons._1_0.protocol.RequestType
  - - be.fgov.ehealth.etee.kgss._1_0.protocol.GetKeyRequest

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-06-08T05:19:47+02:00",
                 comments="JAXB RI v2.2.11")
      public class GetKeyRequest
      extends RequestType
      implements Serializable

  Java class for anonymous complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType>
         <complexContent>
           <extension base="{urn:be:fgov:ehealth:commons:1_0:protocol}RequestType">
             <sequence>
               <element name="SealedKeyRequest" type="{urn:be:fgov:ehealth:etee:kgss:1_0:protocol}SealedContentType"/>
             </sequence>
           </extension>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GetKeyRequest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SealedContentType` | `getSealedKeyRequest()` Gets the value of the sealedKeyRequest property.
    `void` | `setSealedKeyRequest(SealedContentType value)` Sets the value of the sealedKeyRequest property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GetKeyRequest

          public GetKeyRequest()

  - ### Method Detail

    - #### getSealedKeyRequest

          public SealedContentType getSealedKeyRequest()

      Gets the value of the sealedKeyRequest property.
      Returns:
        possible object is `SealedContentType`

    - #### setSealedKeyRequest

          public void setSealedKeyRequest(SealedContentType value)

      Sets the value of the sealedKeyRequest property.
      Parameters:
        `value` - allowed object is `SealedContentType`

Connector Packaging PERSLOGOPEDIST 4.1.2 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.